package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class LetakJaninBayi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "LetakJaninBayi_M")
public class LetakJaninBayiVO extends BaseMasterVO {
	@Caption(value="Kode Letak Janin Bayi")
	private Byte kdLetakJaninBayi;

	public void setKdLetakJaninBayi(Byte kdLetakJaninBayi) {
		this.kdLetakJaninBayi = kdLetakJaninBayi;
	}

	@Column(name = "KdLetakJaninBayi", nullable = false )
	public Byte getKdLetakJaninBayi(){
		return this.kdLetakJaninBayi;
	}

	@Caption(value="Letak Janin Bayi")
	private String letakJaninBayi;

	public void setLetakJaninBayi(String letakJaninBayi) {
		this.letakJaninBayi = letakJaninBayi;
	}

	@Column(name = "LetakJaninBayi", nullable = false , length = 30)
	public String getLetakJaninBayi(){
		return this.letakJaninBayi;
	}

	@Caption(value="QLetak Janin Bayi")
	private Byte qLetakJaninBayi;

	public void setqLetakJaninBayi(Byte qLetakJaninBayi) {
		this.qLetakJaninBayi = qLetakJaninBayi;
	}

	@Column(name = "QLetakJaninBayi", nullable = false )
	public Byte getqLetakJaninBayi(){
		return this.qLetakJaninBayi;
	}


}

